explain_putenv_or_die(3)

NAME
explain_putenv_or_die - change or add an environment variable and report errors
    "change or add an environment variable and report errors"

SYNOPSIS
#include <libexplain/putenv.h>

void explain_putenv_or_die(char *string);
int explain_putenv_on_error(char *string);

DESCRIPTION
The explain_putenv_or_die function is used to call the putenv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_putenv(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_putenv_on_error function is used to call the putenv(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_putenv(3) function, but still returns to the caller.

string
    The string, exactly as to be passed to the putenv(3) system call.

RETURN VALUE
The explain_putenv_or_die function only returns on success, see putenv(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_putenv_on_error function always returns the value return by the wrapped putenv(3) system call.

EXAMPLE
The explain_putenv_or_die function is intended to be used in a fashion similar to the following example:
    explain_putenv_or_die(string);

SEE ALSO

putenv(3)
    change or add an environment variable

explain_putenv(3)
    explain putenv(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller